#include "menu_window.h"
#include "ui_menu_window.h"
#include <QSound>

Menu_Window::Menu_Window(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::Menu_Window)
{
    ui->setupUi(this);

    QSound::play(":/3164.wav");


    ui->NetworkGame->setEnabled(0);
    ui->Settings->setEnabled(0);

    aboutWindow = new About();
    ChooseMode = new ChooseMode_window();

    connect(aboutWindow,SIGNAL(openMain()),this,SLOT(show()));      //коннекты открытия окон
    connect(ChooseMode,SIGNAL(openChooseMode()),this,SLOT(show()));
}

Menu_Window::~Menu_Window()
{
    delete ui;
}


void Menu_Window::on_AboutGame_clicked()//Об игре
{
    this->close();
    aboutWindow->show();
}

void Menu_Window::on_StartGame_clicked()//если нажата кнопка начать игру
{
    this->close();
    ChooseMode->show();
}
